cmake_minimum_required(VERSION 3.7)
project(FDIACS)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_COMPILER  "/usr/bin/g++-7")
set(CMAKE_CXX_FLAGS "-std=c++1z")
add_executable(FDIACS main.cpp soapcwmpService.cpp soapC.cpp httppost.cpp stdsoap2.cpp influxdb.h)
find_package(Threads)
target_link_libraries(FDIACS ${CMAKE_THREAD_LIBS_INIT})
#target_link_libraries(FDIACS gsoap++)
target_compile_options(FDIACS PRIVATE -D SOAP_MEM_DEBUG)
target_include_directories(FDIACS PRIVATE "/usr/local/share/gsoap")
find_package (Threads)
target_link_libraries (FDIACS ${CMAKE_THREAD_LIBS_INIT})
target_link_libraries(FDIACS InfluxDB)